Package org.apache.sling.cms.reference

## Interface SearchService

    public interface SearchService

Service for managing the search user.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.apache.sling.api.resource.ResourceResolver` `getResourceResolver​(org.apache.sling.api.SlingHttpServletRequest request)` Gets either the service user resource resolver of the request resource resolver depending if the service user is configured.

### Method Detail

#### getResourceResolver

    org.apache.sling.api.resource.ResourceResolver getResourceResolver​(org.apache.sling.api.SlingHttpServletRequest request)

Gets either the service user resource resolver of the request resource resolver depending if the service user is configured.

Parameters:
  `request` - the request from which to retrieve the request resource resolver (if service user not configured)
Returns:
  the appropriate resource resolvers